<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Deposit;

class DepositController extends Controller
{
    public function index()
    {
        $deposits = Deposit::with('user')
            ->select('deposits.*')
            ->orderBy('deposits.created_at', 'desc')
            ->paginate(15);

        return view('admin.pages.deposits.index', compact('deposits'));
    }
}